<?php

date_default_timezone_set('America/Lima');

class cStock{

	function insertar($alm_id,$pre_id,$sto){

	$now =  date('Y-m-d h:i:s a');

	$sql = "INSERT INTO tb_stock(

	`tb_stock_mod` ,

	`tb_almacen_id` ,

	`tb_presentacion_id` ,

	`tb_stock_num`

	)

	VALUES (

	'$now' ,  '$alm_id',  '$pre_id',  '$sto'

	);"; 

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;	

	}

	function stock_por_presentacion($pre_id,$alm_id){

	$sql="SELECT * 

	FROM tb_presentacion p

	LEFT JOIN tb_stock s ON p.tb_presentacion_id=s.tb_presentacion_id

	WHERE p.tb_presentacion_id='$pre_id'

	AND s.tb_almacen_id='$alm_id'";

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;

	}

	function modificar($id,$num){

	$now =  date('Y-m-d h:i:s a');

	$sql = "UPDATE tb_stock SET  

	`tb_stock_mod` = '$now',

	`tb_stock_num` =  '$num' 

	WHERE tb_stock_id = '$id' "; 

	 //echo $sql ; exit;

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;	

	}

	function verificar_presentacion_res($tar_id){

	$sql="SELECT * 

	FROM tb_presentacion

	WHERE tb_presentacion_idr=$tar_id

	";

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;

	}

	function eliminar($id){

	$sql="DELETE FROM tb_stock WHERE tb_presentacion_id=$id";

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;

	}

	function actuaizar_stock_por_presentacion($pre_id,$almid,$tipo,$cantidad){

		$nuevo = "tb_stock_num = tb_stock_num + ".$cantidad; // si tipo es 2 entonces salió esa cantidad, si se anula, entonces regresamos esa cantidad



		if($tipo == 1) // si tipo es 1 entonces fue entrada, entonces si se anula tenemos que restar la cantidad que entró

			$nuevo = "tb_stock_num = tb_stock_num - ".$cantidad;

		

		$sql="UPDATE tb_stock set ".$nuevo." where tb_presentacion_id =$pre_id and tb_almacen_id =$almid";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

}

?>